LibOFX: messages.cpp File Reference

LibOFX

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
messages.cpp File Reference

Message IO functionality. More...

Go to the source code of this file.

## Functions
void | show_line_number ()
int | message_out (OfxMsgType error_type, const string message)
| Message output function. More...

## Variables
SGMLApplication::OpenEntityPtr | entity_ptr
SGMLApplication::Position | position
int | ofx_PARSER_msg = false
int | ofx_DEBUG_msg = false
int | ofx_DEBUG1_msg = false
int | ofx_DEBUG2_msg = false
int | ofx_DEBUG3_msg = false
int | ofx_DEBUG4_msg = false
int | ofx_DEBUG5_msg = false
int | ofx_STATUS_msg = false
int | ofx_INFO_msg = false
int | ofx_WARNING_msg = false
int | ofx_ERROR_msg = false
int | ofx_show_position = true

## Detailed Description

Message IO functionality.

Definition in file messages.cpp.

## Function Documentation

int message_out | ( | OfxMsgType | error_type,
|  | const string | message
| ) |  |

Message output function.

Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled

Definition at line 60 of file messages.cpp.

Referenced by OfxGenericContainer::add_attribute(), OfxDummyContainer::add_attribute(), OfxStatusContainer::add_attribute(), OfxInvestmentTransactionContainer::add_attribute(), OFCApplication::data(), OFXApplication::data(), OFCApplication::endElement(), OFXApplication::endElement(), OFCApplication::error(), OFXApplication::error(), find_dtd(), OfxMainContainer::gen_event(), libofx_detect_file_type(), libofx_proc_file(), ofc_proc_sgml(), ofx_proc_file(), ofx_proc_sgml(), ofxdate_to_time_t(), OFCApplication::openEntityChange(), OFXApplication::openEntityChange(), sanitize_proprietary_tags(), OFCApplication::startElement(), OFXApplication::startElement(), and strip_whitespace().

## Variable Documentation

SGMLApplication::OpenEntityPtr entity_ptr

Global for determining the line number in OpenSP

Definition at line 27 of file messages.cpp.

int ofx_DEBUG1_msg = false

If set to true, debug level 1 messages will be printed to the console

Definition at line 32 of file messages.cpp.

Referenced by message_out().

int ofx_DEBUG2_msg = false

If set to true, debug level 2 messages will be printed to the console

Definition at line 33 of file messages.cpp.

Referenced by message_out().

int ofx_DEBUG3_msg = false

If set to true, debug level 3 messages will be printed to the console

Definition at line 34 of file messages.cpp.

Referenced by message_out().

int ofx_DEBUG4_msg = false

If set to true, debug level 4 messages will be printed to the console

Definition at line 35 of file messages.cpp.

Referenced by message_out().

int ofx_DEBUG5_msg = false

If set to true, debug level 5 messages will be printed to the console

Definition at line 36 of file messages.cpp.

Referenced by message_out().

int ofx_DEBUG_msg = false

If set to true, general debug messages will be printed to the console

Definition at line 31 of file messages.cpp.

Referenced by message_out().

int ofx_ERROR_msg = false

If set to true, error messages will be printed to the console

Definition at line 40 of file messages.cpp.

Referenced by message_out().

int ofx_INFO_msg = false

If set to true, information messages will be printed to the console

Definition at line 38 of file messages.cpp.

Referenced by message_out().

int ofx_PARSER_msg = false

If set to true, parser events will be printed to the console

Definition at line 30 of file messages.cpp.

Referenced by message_out().

int ofx_show_position = true

If set to true, the line number will be shown after any error

Definition at line 41 of file messages.cpp.

int ofx_STATUS_msg = false

If set to true, status messages will be printed to the console

Definition at line 37 of file messages.cpp.

Referenced by message_out().

int ofx_WARNING_msg = false

If set to true, warning messages will be printed to the console

Definition at line 39 of file messages.cpp.

Referenced by message_out().

SGMLApplication::Position position

Global for determining the line number in OpenSP

Definition at line 28 of file messages.cpp.

Referenced by tree< T, tree_node_allocator >::flatten(), tree< T, tree_node_allocator >::reparent(), and tree< T, tree_node_allocator >::replace().